GET /blockscout/addresses/{address_hash}/logs

Path Parameters

address_hash string required path
Address hash

Responses

200 Address
application/json
items object[] REQUIRED
Array of:
address object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
block_hash string
block_number integer
data string REQUIRED
decoded object REQUIRED
method_call string REQUIRED
method_id string REQUIRED
parameters object[] REQUIRED
Array of:
name string REQUIRED
type string REQUIRED
value string REQUIRED
indexed boolean REQUIRED
index integer REQUIRED
smart_contract object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
topics string[] REQUIRED
Array of:
transaction_hash string REQUIRED
next_page_params object REQUIRED
400 Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/addresses/string/logs'
const response = await fetch('https://data-api.b3.fun//blockscout/addresses/string/logs', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//blockscout/addresses/string/logs')
print(response.json())
200 Response
{
  "items": [
    {
      "address": {
        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "implementation_name": "implementationName",
        "name": "contractName",
        "ens_domain_name": "domain.eth",
        "metadata": {
          "slug": "tag_slug",
          "name": "Tag name",
          "tagType": "name",
          "ordinal": 0,
          "meta": {}
        },
        "is_contract": true,
        "private_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "watchlist_names": [
          {
            "display_name": {},
            "label": {}
          }
        ],
        "public_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "is_verified": true
      },
      "block_hash": "0xf90fdff5f174f7f29ebdf203d32cad2fe95376e41880bb9e731ca5eb0eef7941",
      "block_number": 8844586,
      "data": "0x000000000000000000000000000000000000000000000000006a94d74f430000",
      "decoded": {
        "method_call": "transferFrom(address _from, address _to, uint256 _value)",
        "method_id": "23b872dd",
        "parameters": [
          {
            "name": {},
            "type": {},
            "value": {},
            "indexed": {}
          }
        ]
      },
      "index": 35,
      "smart_contract": {
        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "implementation_name": "implementationName",
        "name": "contractName",
        "ens_domain_name": "domain.eth",
        "metadata": {
          "slug": "tag_slug",
          "name": "Tag name",
          "tagType": "name",
          "ordinal": 0,
          "meta": {}
        },
        "is_contract": true,
        "private_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "watchlist_names": [
          {
            "display_name": {},
            "label": {}
          }
        ],
        "public_tags": [
          {
            "address_hash": {},
            "display_name": {},
            "label": {}
          }
        ],
        "is_verified": true
      },
      "topics": [
        "0xe1fffcc4923d04b559f4d29a8bfc6cda04eb5b0d3c460751c2402c5c5cc9109c"
      ],
      "transaction_hash": "0x08ea4d75ad0abe327a7fd368733eaeac43077989e635d800530d7906ebf3bd54"
    }
  ],
  "next_page_params": {
    "block_number": 27736955,
    "index": 68,
    "items_count": 50
  }
}
GET /blockscout/addresses/{address_hash}/logs
Ask a question... ⌘I